2017-10-19 05:26 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000870openmediavaultFeaturepublic2016-01-07 18:05
ReporterTrololoAllTheBugs 
Assigned Tovotdev 
PrioritylowSeveritytweakReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product VersionSardaukar (0.5.x) 
Target VersionFixed in VersionErasmus (3.x) 
Summary0000870: Option to add more than one NTP server
DescriptionAfter examining the bug resolution statement for http://bugtracker.openmediavault.org/view.php?id=850 I figured we might skip string manipulation and add at least two lines for NTP servers. If one line is empty, it should not result in an entry in ntp.conf (duh!).

I don't not what the framework brings with it or how easy it would be to implement, but maybe there another solution would be a "+"-button, which results in a new box when click for entering an ip address or domain name.

Maybe change the fields caption from "Time servers" from plural to singular, even when not adding above mentioned option, so it becomes clear that you can't enter more than on IP/DOMAIN per line.
TagsNo tags attached.
Product build
Attached Files

-Relationships
+Relationships

-Notes

~0003939

thenktor (reporter)

The option to add more than one NTP servers is a very good idea because the NTP protocol is made to reject bad servers. Therefore at least 3 servers are needed.
E.g. as default:
0.pool.ntp.org
1.pool.ntp.org
2.pool.ntp.org
3.pool.ntp.org

http://www.pool.ntp.org/en/use.html

~0003945

votdev (administrator)

Fixed in openmediavault 3.0.5, see http://sourceforge.net/p/openmediavault/code/2073.
+Notes

-Issue History
Date Modified Username Field Change
2013-10-13 19:10 TrololoAllTheBugs New Issue
2013-10-13 19:10 TrololoAllTheBugs Status new => assigned
2013-10-13 19:10 TrololoAllTheBugs Assigned To => votdev
2016-01-07 15:04 thenktor Note Added: 0003939
2016-01-07 18:05 votdev Note Added: 0003945
2016-01-07 18:05 votdev Status assigned => resolved
2016-01-07 18:05 votdev Fixed in Version => Erasmus (3.x)
2016-01-07 18:05 votdev Resolution open => fixed
+Issue History